{% extends 'back_office_components/base.html' %} {% block styles %} {{ super()
}} {% endblock %} {% block app_content %}
<div class="panel panel-default">
  <div class="panel-heading">
    <div class="text-right">
      <a href="{{ url_for('.create_user') }}" class="btn btn-sm btn-primary">{{ _('Add User') }}</a>
    </div>
  </div>
  <div class="panel-body">
    <div class="row">
      <div class="col-lg-12 table-responsive">
        <table id="table_id" class="table table-striped table-bordered" style="width: 100%;">
          <thead>
            <tr>
              <th>#</th>
              <th>{{ _('First Name') }}</th>
              <th>{{ _('Last Name') }}</th>
              <th>{{ _('Username') }}</th>
              <th>{{ _('Role') }}</th>
              <th>{{ _('Confirmation') }}</th>
              <th>{{ _('Action') }}</th>
            </tr>
          </thead>
          <tbody>
            {% for user in users %}
            <tr>
              <td>{{ loop.index }}</td>
              <td>{{ user.first_name }}</td>
              <td>{{ user.last_name }}</td>
              <td>{{ user.username }}</td>
              <td>
                {% for role in user.roles %} {{ role.name }} {% endfor %}
              </td>
              <td>{{ user.confirmed }}</td>
              <td>
                {% if current_user.username != user.username%}
                <a class="btn btn-xs btn-info"
                  href="{{ url_for('.edit_user', username=user.username) }}">{{ _('Edit') }}</a>
                <a class="btn btn-xs btn-danger" href="#{{ user.username }}" data-toggle="modal">{{ _('Delete') }}</a>
                {% if user.active == False %}
                <a class="btn btn-xs btn-warning"
                  href="{{ url_for('.activate_user', username=user.username, value=True) }}">
                  {{ _('Activate') }}
                </a>
                {% else %}
                <a class="btn btn-xs btn-warning"
                  href="{{ url_for('.activate_user', username=user.username, value=False) }}">
                  {{ _('Deactivate') }}
                </a>
                {% endif %}
                <div class="modal fade" id="{{ user.username }}" tabindex="-1" role="dialog"
                  aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                  <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">{{ _('Delete confirmation') }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                      <div class="modal-body">
                        {{_('Are you sure want to delete ')}} <strong>{{ user.username | title }}</strong> ?
                      </div>
                      <div class="modal-footer">
                        <a type="button" class="btn btn-secondary" data-dismiss="modal">{{ _('Cancel') }}</a>
                        <a type="button" class="btn btn-primary"
                          href="{{ url_for('.delete_user', username=user.username) }}">{{ _('Delete') }}</a>
                      </div>
                    </div>
                  </div>
                </div>


                {% endif %}
              </td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
{% endblock %} {% block scripts %} {{ super() }}
<script type="text/javascript">
  /* DataTables */
  $(document).ready(function () {
    var table = $("#table_id").DataTable({
      lengthChange: false,
      buttons: ["copy", "excel", "pdf", "print"],
    });
    table.buttons().container().appendTo("#table_id_wrapper .col-sm-6:eq(0)");
  });
</script>
{% endblock %}